classification
Title: button methods tkButtonDown, etc don't work
Type: Stage:
Components: Tkinter Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder: Remove dead code from Tkinter.py
View: 4350
Assigned To: Nosy List: ajaksu2, gpolo, reowen
Priority: low Keywords:

Created on 2003-07-21 21:45 by reowen, last changed 2009-02-09 22:04 by gpolo. This issue is now closed.

Messages (5)
msg60357 - (view) Author: Russell Owen (reowen) Date: 2003-07-21 21:45
The Tkinter.Button methods tkButtonDown, etc. don't work in Python 2.2.2 or 2.3b2. Sample traceback:

Traceback (most recent call last):
  File "/usr/local/lib/python2.2/lib-tk/Tkinter.py", line 1300, in __call__
    return apply(self.func, args)
  File "/Users/rowen/PythonRO/RO/Wdg/ScriptWindow.py", line 90, in run
    exec script in globals, locals
  File "<string>", line 1, in ?
  File "/usr/local/lib/python2.2/lib-tk/Tkinter.py", line 1831, in tkButtonDown
    self.tk.call('tkButtonDown', self._w)
TclError: invalid command name "tkButtonDown"

I'm not sure what's going on. I've not even been able to find tkButtonDown in the tcl/tk documentation, though a google search come up with some hits for Tcl/Tk 8.3 so it clearly existed or exists.

Details:
- This is on MacOS X 10.2.6, though I doubt it matters
- Python 2.2.2 is a standard unix build with unix/X Tcl/Tk 8.4.1 (all built from source) running with Apple's X11
- MacPython 2.3b2 (via binary installer) with aqua Tcl/Tk 8.4.3 (built from source)
msg73289 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-09-16 01:41
tkButtonDown and co. are long gone, you shouldn't be relying on them. If
you get tk sources, you will see that tkButtonDown is called when you do
btn.event_generate('<1>').

The best thing to do here is actually remove these methods that call
commands that shouldn't be used anymore and are not directly available.
msg76320 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-24 11:23
There is a more general patch on issue4350 now
msg81503 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-09 21:51
gpolo: So this one should be closed, right? Out-of-date and superseded
by issue 4350.
msg81506 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-02-09 22:04
Thanks for remembering, Daniel.

Closing as noted above.
History
Date User Action Args
2009-02-09 22:04:09gpolosetstatus: open -> closed
resolution: out of date
superseder: Remove dead code from Tkinter.py
messages: + msg81506
2009-02-09 21:51:08ajaksu2setnosy: + ajaksu2
messages: + msg81503
2008-11-24 11:23:58gpolosetmessages: + msg76320
2008-09-16 01:41:55gpolosetpriority: normal -> low
messages: + msg73289
2008-09-15 17:38:51gpolosetnosy: + gpolo
2003-07-21 21:45:44reowencreate